Subject: bug#12911: 24.3.50; let users decide where (& perhaps whether) `emacs_backtrace.txt'files are written

From: Dani Moncayo <[email-masked]>
Date: Tue, 20 Nov 2012 20:15:10 +0100

>> > > I sent an emacs-backtrace.txt file recently
>> >
>> > Where?  I must have missed that, or maybe forgot.
>>
>> The first mail that started this discussion:
>> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12908
>
> Thanks.
>
> Dani, where can I find the binary which fits this:

(I've caught this by chance - I was not in the "to" or the "cc")

You can get the binary from
https://www.dropbox.com/sh/7jr3vbv9tm1zod0/jPuvfrJAe8

The file to pick up is obvious looking at the revno (110809).

>   In GNU Emacs 24.3.50.1 (i386-mingw-nt5.1.2600)
>    of 2012-11-05 on MS-W7-DANI
>   Bzr revision: 110809 lekktu <at> gmail.com-20121105172930-a5gn0bwi4lndchhw
>   Windowing system distributor `Microsoft Corp.', version 5.1.2600
>   Configured using:
>    `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
>    -I../../libs/libXpm-3.5.10/include -I../../libs/libXpm-3.5.10/src
>    -I../../libs/libpng-1.2.37-lib/include -I../../libs/zlib-1.2.5
>    -I../../libs/giflib-4.1.4-1-lib/include
>    -I../../libs/jpeg-6b-4-lib/include
>    -I../../libs/tiff-3.8.2-1-lib/include
>    -I../../libs/libxml2-2.7.8-w32-bin/include/libxml2
>    -I../../libs/gnutls-3.0.9-w32-bin/include
>    -I../../libs/libiconv-1.9.2-1-lib/include'
>
> Or maybe you (Dani) can run addr2line on that binary and tell what you
> get from Drew's backtraces.

I'm never done that, but I've tried it:
   addr2line -e emacs.exe < bt-in.txt > bt-out.txt

where the "emacs.exe" is the one from the build used by Drew. I'm
attaching both files.

HTH.

-- 
Dani Moncayo